.scorm-detail-documents.AI-Exam > li {
    width: 100%;
    padding: 0;
    margin: 5px 0;
    display: flex;
    align-items: center;
}
.AI-Exam .scorm-document-name {font-weight: normal;margin-right: 15px;}
.AI-Exam .btn:not(.btn-default) {
    padding: 2px 10px;
    background-color: #1A7FC3;
    min-width: 130px;
    color: #fff;
}
.AI-Exam .btn.btn-default {
    color: #1A7FC3;
    border: none;
}
#modalExamDocument .modal-body {padding: 0}
#modalExamDocument .modal-body .box-info {padding: 20px}
#modalExamDocument .modal-body .box-info + .box-info {
    border-top: 1px solid #F3F4F6;
}
#modalExamDocument .modal-body .box-info .title-box {
    font-weight: 700;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0.7px;
    text-transform: uppercase;
    margin-bottom: 10px;
}
#modalExamDocument .modal-body .box-info label {
    font-weight: 400;
    font-size: 12px;
    line-height: 100%;
    letter-spacing: 0px;
    color: #54505F;
}
#modalExamDocument .modal-body .box-info .text-bold {
    font-weight: 400;
    font-size: 14px;
    color: #2E2735;
}
#modalExamDocument .modal-body .custom-file-input {
    border: 2px solid #D1D5DC;
    border-radius: 10px;
    padding: 25px;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
#modalExamDocument .modal-body .btn.btn-primary {
    background-color: #155DFC;
    min-width: 250px;
    margin-bottom: 15px;
}
#modalExamDocument .modal-body .btn.btn-primary ~ p {
    margin-bottom: 20px;
    color: #2E2735;
    font-size: 13px;
}
#modalExamDocument .modal-body .description {
    display: flex;
    margin-bottom: 10px;
    gap: 5px;
}
#modalExamDocument .close {
    top: 10px;
    right: 10px;
    position: absolute;
    z-index: 9999;
}
.upload-box,
.preview-inner {
    border: 1px solid #F5F4F6;
    background: #F5F4F6;
    cursor: pointer;
    position: relative;
    border-radius: 10px;
    overflow: hidden;
}

.upload-box.drag-active {
    border-color: #337ab7;
    background: #f0f8ff;
}

.preview-inner img {
    max-width: 100%;
    max-height: 100%;
}

.preview-item {
    position: relative;
}

.remove-img {
    cursor: pointer;
}

/* hiệu ứng kéo */
.ui-sortable-placeholder {
    border: 2px dashed #bbb;
    visibility: visible !important;
    background: #f5f5f5;
}
.titlep label {
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
}
.preview-inner .thumb {
    width: 100%;
    aspect-ratio: 3/2;
}
.preview-inner .thumb img {
    object-fit: cover;
    width: 100%;
}
.preview-inner .info {
    padding: 10px;
    display: flex;
    justify-content: space-between;
}
#attach-images {
    counter-reset: imgIndex;
    display: flex;
    flex-wrap: wrap;
}
#attach-images > .col-xs-4 {
    margin-bottom: 20px;
}
.preview-item .titlep {
    counter-increment: imgIndex;
    position: relative;
    padding-left: 24px;
    max-width: 90%;
}
.preview-item .titlep::before {
    content: counter(imgIndex);
    position: absolute;
    top: 0;
    left: 0;
    background: #000;
    color: #fff;
    font-size: 12px;
    width: 20px;
    height: 20px;
    border-radius: 5px;
    text-align: center;
    line-height: 20px;
}
/* wrapper scroll */
.attach-scroll-wrapper {
    max-height: none;        /* mặc định: không giới hạn */
    overflow-y: hidden;     /* chưa có ảnh thì không scroll */
}

/* khi có ảnh */
.attach-scroll-wrapper.has-images {
    max-height: 430px;
    overflow-y: auto;
}

/* mượt hơn trong modal */
.attach-scroll-wrapper::-webkit-scrollbar {
    width: 6px;
}
.attach-scroll-wrapper::-webkit-scrollbar-thumb {
    background: rgba(0,0,0,.2);
    border-radius: 3px;
}

#attach-images {
    margin-left: 0;
    margin-right: 0;
}
.upload-wrapper.col-xs-12 {padding: 0}

@media only screen and (max-width: 960px) {
    .box-info > .row > :not(:last-child) {
        margin-bottom: 10px;
    }
    .preview-item .titlep {display: none}
    .remove-img {
        cursor: pointer;
        position: absolute;
        bottom: 0;
        right: 0;
        background-color: #eee;
    }
    .upload-box, .preview-inner {border-radius: 5px;border: 1px solid #D1D5DC;}
    .preview-item, .upload-wrapper {padding: 0 5px}
    #modalExamDocument .modal-body .custom-file-input {
        aspect-ratio: 1/1;
        border-radius: 5px;
    }
    .preview-inner .thumb {aspect-ratio: 1/1;}
    .custom-file-input p, .custom-file-input small {display: none}
    .attach-scroll-wrapper.has-images {max-height: 240px}
}